### Hierarchy

- PickerFileMetadata

## Index

### Properties

- container
- cropped
- filename
- handle
- key
- mimetype
- originalFile
- originalPath
- rotated
- size
- source
- status
- uploadId
- url

## Properties

### Optional container

container: string

- Defined in lib/picker.ts:105

The cloud container for the uploaded file.

### Optional cropped

cropped: PickerCroppedData

- Defined in lib/picker.ts:109

Position and size information for cropped images.

### filename

filename: string

- Defined in lib/picker.ts:113

Name of the file.

### handle

handle: string

- Defined in lib/picker.ts:117

Filestack handle for the uploaded file.

### Optional key

key: string

- Defined in lib/picker.ts:121

The hash-prefixed cloud storage path.

### mimetype

mimetype: string

- Defined in lib/picker.ts:125

The MIME type of the file.

### Optional originalFile

originalFile: object | File

- Defined in lib/picker.ts:129

Properties of the local binary file. Also see the pick option `exposeOriginalFile` if you want the underlying `File` object.

### originalPath

originalPath: string

- Defined in lib/picker.ts:133

The origin of the file, e.g. /Folder/file.jpg.

### Optional rotated

rotated: PickerRotatedData

- Defined in lib/picker.ts:137

Direction and value information for rotated images.

### size

size: number

- Defined in lib/picker.ts:141

Size in bytes of the uploaded file.

### source

source: string

- Defined in lib/picker.ts:145

The source from where the file was picked.

### Optional status

status: string

- Defined in lib/picker.ts:149

Indicates Filestack transit status.

### uploadId

uploadId: string

- Defined in lib/picker.ts:153

A uuid for tracking this file in callbacks.

### url

url: string

- Defined in lib/picker.ts:157

The Filestack CDN URL for the uploaded file.